Bug 73911 - New Port: mail/addresses , a versatile address book application for GNUstep
Summary: New Port: mail/addresses , a versatile address book application for GNUstep
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-13 18:30 UTC by Miguel Mendez
Modified: 2004-11-14 13:16 UTC (History)
0 users

See Also:


Attachments
addresses.shar (14.70 KB, text/plain)
2004-11-13 18:30 UTC, Miguel Mendez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Mendez 2004-11-13 18:30:24 UTC

 Addresses for GNUstep is a versatile address book application for managing 
contact information. It stores addresses, phone numbers, pictures, 
instant messaging information, email, homepages and whatever. 

This port is needed for the new version of GNUMail.app (see my other PR)

The master site seems to have some problems at the moment so I'm temporarily
mirroring the file on my server as well.
Comment 1 Dirk Meyer freebsd_committer 2004-11-13 20:15:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

I will take care of it.
Comment 2 Dirk Meyer freebsd_committer 2004-11-14 06:03:48 UTC
State Changed
From-To: open->feedback


bailed out: 
fetch: http://giesler.biz/bjoern/downloads/Addresses-0.4.6.tar.gz: size mismatch: expected 267459, actual 444463 

Please send updated size and checksums if the new file is correct.
Comment 3 Miguel Mendez 2004-11-14 09:58:39 UTC
On Sun, 14 Nov 2004 07:04:39 +0100 (CET)
Dirk Meyer <dinoex@FreeBSD.org> wrote:

Hi Dirk,

> bailed out:
> fetch: http://giesler.biz/bjoern/downloads/Addresses-0.4.6.tar.gz:
> size mismatch: expected 267459, actual 444463
> 
> Please send updated size and checksums if the new file is correct.

That's weird, yesterday the file wasn't accessible so I grabbed it off a
gentoo mirror. Today the file is there but the size is different.
However, I've seen a NetBSD PR with an update that is using this file,
and diff -rUN between the two looks ok, so let's use the included shar
instead which has the new distinfo.

----------------8<----------------------------
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	addresses
#	addresses/Makefile
#	addresses/distinfo
#	addresses/pkg-descr
#	addresses/pkg-plist
#
echo c - addresses
mkdir -p addresses > /dev/null 2>&1
echo x - addresses/Makefile
sed 's/^X//' >addresses/Makefile << 'END-of-addresses/Makefile'
X# New ports collection makefile for:    Addresses
X# Date created:         13 Nov 2004
X# Whom:                 Miguel Mendez <flynn@energyhq.es.eu.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	addresses
XPORTVERSION=	0.4.6
XCATEGORIES=	mail
XMASTER_SITES=	http://giesler.biz/bjoern/downloads/
XDISTNAME=	Addresses-${PORTVERSION}
X
XMAINTAINER=	flynn@energyhq.es.eu.org
XCOMMENT=	A versatile addressbook for GNUstep
X
XPREFIX=		${LOCALBASE}/GNUstep
XNO_MTREE=	yes
XWRKSRC=		${WRKDIR}/Addresses-${PORTVERSION}
XUSE_GMAKE=	yes
XUSE_GNUSTEP=	yes
XUSE_GNUSTEP_BACK=	yes
XUSE_GNUSTEP_BUILD=	yes
XUSE_GNUSTEP_INSTALL=	yes
XMAKEFILE=	GNUmakefile
XLDCONFIG_DIRS=	${LOCALLIBDIR}
XINSTALLS_SHLIB=	yes
X
X.include <bsd.port.mk>
END-of-addresses/Makefile
echo x - addresses/distinfo
sed 's/^X//' >addresses/distinfo << 'END-of-addresses/distinfo'
XMD5 (Addresses-0.4.6.tar.gz) = 2d6b6bf9a1578a5b3a13cb0bd2c60fad
XSIZE (Addresses-0.4.6.tar.gz) = 444463
END-of-addresses/distinfo
echo x - addresses/pkg-descr
sed 's/^X//' >addresses/pkg-descr << 'END-of-addresses/pkg-descr'
X Addresses for GNUstep is a versatile address book application for 
Xmanaging contact information. It stores addresses, phone numbers, 
Xpictures, instant messaging information, email, homepages and whatever.
X
XWWW: http://giesler.biz/bjoern/en/sw_addr.html
XMiguel Mendez <flynn@energyhq.es.eu.org>
END-of-addresses/pkg-descr
echo x - addresses/pkg-plist
sed 's/^X//' >addresses/pkg-plist << 'END-of-addresses/pkg-plist'
XLocal/Library/Headers/Addresses
XLocal/Library/Frameworks/Addresses.framework/Headers
XLocal/Library/Frameworks/Addresses.framework/Resources
XLocal/Library/Headers/AddressBook
XLocal/Library/Headers/AddressView
XLocal/Library/Libraries/libAddresses.so
XLocal/Library/Libraries/libAddresses.so.0
XLocal/Library/Libraries/libAddresses.so.0.0.1
XLocal/Library/Libraries/libAddressView.so
XLocal/Library/Libraries/libAddressView.so.0
XLocal/Library/Libraries/libAddressView.so.0.0.1
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Addresses
XLocal/Library/Frameworks/AddressView.framework/Resources
XLocal/Library/Frameworks/AddressView.framework/Headers
XLocal/Library/Frameworks/AddressView.framework/Versions/Current
XLocal/Library/Frameworks/Addresses.framework/Versions/Current
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADAddressBook.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADConverter.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADEnvelopeAddressBook.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADGlobals.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADGroup.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADImageLoading.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADLocalAddressBook.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADMultiValue.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADPerson.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADPListConverter.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADPlugin.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADPublicAddressBook.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADRecord.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADSearchElement.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADTypedefs.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/ADVCFConverter.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/Addresses.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Headers/AddressBook.h
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Resources/ScriptingInfo.plist
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Resources/Dutch.lproj/PropertiesAndLabels.strings
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Resources/English.lproj/PropertiesAndLabels.strings
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Resources/French.lproj/PropertiesAndLabels.strings
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Resources/German.lproj/PropertiesAndLabels.strings
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Resources/Spanish.lproj/PropertiesAndLabels.strings
XLocal/Library/Frameworks/Addresses.framework/Versions/A/Resources/Info-gnustep.plist
XLocal/Library/Frameworks/Addresses.framework/Versions/A/libAddresses.so.0.0.1
XLocal/Library/Frameworks/Addresses.framework/Versions/A/libAddresses.so.0
XLocal/Library/Frameworks/Addresses.framework/Versions/A/libAddresses.so
XLocal/Library/Frameworks/AddressView.framework/Versions/A/AddressView
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Headers/AddressView.h
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Headers/ADPersonView.h
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Headers/ADImageView.h
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Headers/ADPersonPropertyView.h
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Headers/ADSinglePropertyView.h
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/ScriptingInfo.plist
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/UnknownImage.tiff
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Lock.tiff
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Share.tiff
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Add.tiff
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Remove.tiff
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Change.tiff
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/VCFImage.tiff
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Labels.dict
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/ISOCodeMapping.dict
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/AddressLayouts.dict
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Dutch.lproj/Localizable.strings
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/English.lproj/Localizable.strings
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/French.lproj/Localizable.strings
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/German.lproj/Localizable.strings
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Spanish.lproj/Localizable.strings
XLocal/Library/Frameworks/AddressView.framework/Versions/A/Resources/Info-gnustep.plist
XLocal/Library/Frameworks/AddressView.framework/Versions/A/libAddressView.so.0.0.1
XLocal/Library/Frameworks/AddressView.framework/Versions/A/libAddressView.so.0
XLocal/Library/Frameworks/AddressView.framework/Versions/A/libAddressView.so
XLocal/Applications/AddressManager.app/AddressManager
XLocal/Applications/AddressManager.app/library_paths.openapp
XLocal/Applications/AddressManager.app/Resources/Info-gnustep.plist
XLocal/Applications/AddressManager.app/Resources/AddressManager.tiff
XLocal/Applications/AddressManager.app/Resources/AddressManager.desktop
XLocal/Applications/AddressManager.app/Resources/VCFImage.tiff
XLocal/Applications/AddressManager.app/Resources/VCFImageMulti.tiff
XLocal/Applications/AddressManager.app/Resources/VCFFile.tiff
XLocal/Applications/AddressManager.app/Resources/AddressManagerInfo.plist
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/Localizable.strings
XLocal/Applications/AddressManager.app/Resources/Dutch.lproj/ISOCountryCodes.dict
XLocal/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/English.lproj/Localizable.strings
XLocal/Applications/AddressManager.app/Resources/English.lproj/ISOCountryCodes.dict
XLocal/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/French.lproj/Localizable.strings
XLocal/Applications/AddressManager.app/Resources/French.lproj/ISOCountryCodes.dict
XLocal/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/German.lproj/Localizable.strings
XLocal/Applications/AddressManager.app/Resources/German.lproj/ISOCountryCodes.dict
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm/AddressManager.gorm/Add.tiff
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm/AddressManager.gorm/data.classes
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm/AddressManager.gorm/objects.gorm
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/Localizable.strings
XLocal/Applications/AddressManager.app/Resources/Spanish.lproj/ISOCountryCodes.dict
XLocal/Applications/AddressManager.app/stamp.make
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A/Headers
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A/Resources/Dutch.lproj
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A/Resources/English.lproj
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A/Resources/French.lproj
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A/Resources/German.lproj
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A/Resources/Spanish.lproj
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A/Resources
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions/A
X@dirrm Local/Library/Frameworks/Addresses.framework/Versions
X@dirrm Local/Library/Frameworks/Addresses.framework
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A/Headers
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A/Resources/Dutch.lproj
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A/Resources/English.lproj
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A/Resources/French.lproj
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A/Resources/German.lproj
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A/Resources/Spanish.lproj
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A/Resources
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions/A
X@dirrm Local/Library/Frameworks/AddressView.framework/Versions
X@dirrm Local/Library/Frameworks/AddressView.framework
X@dirrm Local/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/Dutch.lproj/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/Dutch.lproj
X@dirrm Local/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/English.lproj/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/English.lproj
X@dirrm Local/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/French.lproj/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/French.lproj
X@dirrm Local/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/German.lproj/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/German.lproj
X@dirrm Local/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/Spanish.lproj/AddressManager.gorm
X@dirrm Local/Applications/AddressManager.app/Resources/Spanish.lproj
X@dirrm Local/Applications/AddressManager.app/Resources
X@dirrm Local/Applications/AddressManager.app
END-of-addresses/pkg-plist
exit
--------------------8<------------------------------

Cheers,
-- 
	Miguel Mendez <flynn@energyhq.es.eu.org> | Extreme ways are back again
	http://www.energyhq.es.eu.org            | Extreme places I didn't know
	PGP Key: 0xDC8514F1                      | I broke everything new again
	Note: All HTML mail goes to /dev/null    | Everything that I'd owned
Comment 4 Dirk Meyer freebsd_committer 2004-11-14 13:16:19 UTC
State Changed
From-To: feedback->closed

committed, thanks.